#include <QApplication>
#include "QMediaBibliothek.h"
#include <QTranslator>
#include <QFile>
#include <QDir>
#include <QProcess>
//
int main(int argc, char ** argv)
{
QDir baseDir;
QString homepath = (QString)getenv("HOME") + "/.MediaBib";
QString lang = (QString)getenv("LANG");

// Falls eine Sprachdatei existiert, dann wird Sie gelöscht.
	if (QFile::exists(homepath+"/translation.qm")) {
		QFile::remove(homepath+"/translation.qm");
	}
// Dateinamen für die Sprachdatei zusammenbauen.
// Languageeinstellungen des Systems verwenden.
	lang = lang.left(lang.indexOf("."));
	lang = "QMediaBibliothek_" + lang + ".qm";
// Die passende Sprachdatei in den Home-Ordner kopieren und verwenden.
	QFile::copy((QString)"/usr/share/qt4/translations/"+lang,homepath+(QString)"/translation.qm");
	
	if (!QFile::exists(homepath)) baseDir.mkpath(homepath);
	QTranslator translator(0);
	if (QFile::exists(homepath)){
		translator.load("translation.qm",homepath);
	}
	QApplication app( argc, argv );
	app.installTranslator(&translator);
	QMediaBibliothek win;
	win.show(); 
	app.connect( &app, SIGNAL( lastWindowClosed() ), &app, SLOT( quit() ) );
	return app.exec();
}
